package com.zhongzheng.modules.recruit.mapper;

import com.zhongzheng.modules.recruit.bo.RecruitCompanyQueryBo;
import com.zhongzheng.modules.recruit.domain.RecruitCompany;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.zhongzheng.modules.recruit.vo.RecruitCompanyNeedVo;
import com.zhongzheng.modules.recruit.vo.RecruitCompanyVo;

import java.util.List;

/**
 * 公司管理列Mapper接口
 *
 * @author ruoyi
 * @date 2021-08-19
 */
public interface RecruitCompanyMapper extends BaseMapper<RecruitCompany> {

    Long selectIndustry(String toString);

    RecruitCompanyVo selectCompanyList(RecruitCompanyQueryBo bo);

    Integer updateSysTent(RecruitCompany update);

    List<RecruitCompanyVo> selectLimt(RecruitCompanyQueryBo bo);
}
